The highlight-versions package

[Tags:bsd3, program]

This package provides an executable which reads from stdin and outputs the same thing to stdout, except that any lines which look like package identifiers (e.g. foo-0.3.2) are highlighted if the version does not match the latest version on Hackage: red if the version is less than the version on Hackage, or cyan if greater. In addition, the Hackage version is shown in blue.

In particular, it can be useful to pipe the output of cabal(-dev) install --dry-run through this program, to aid in checking the install plan. It's usually a good idea to understand why an outdated package is being installed; otherwise it can indicate that something needs to be updated.


Versions,,,,,, 0.1.3,,,,,,
Change log CHANGES
Dependencies ansi-terminal (==0.5.*), base (==4.*), Cabal (>=1.14 && <1.17), containers (>=0.4 && <0.6), hackage-db (>=1.3 && <1.5) [details]
License BSD3
Copyright Copyright 2012 Brent Yorgey
Author Brent Yorgey
Stability Unknown
Category Distribution
Source repository head: darcs get
Uploaded Thu Nov 22 18:04:58 UTC 2012 by BrentYorgey
Distributions NixOS:
Downloads 2475 total (36 in the last 30 days)
0 []
Status Docs not available [build log]
Successful builds reported [all 5 reports]


Maintainer's Corner

For package maintainers and hackage trustees